Debian Bug report logs - #728368
ITP: cpl-plugin-xsh -- ESO data reduction pipeline for XSHOOTER

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ole Streicher <debian@liska.ath.cx>

Date: Thu, 31 Oct 2013 10:48:01 UTC

Owned by: Ole Streicher <debian@liska.ath.cx>

Severity: wishlist

Fixed in version cpl-plugin-xsh/2.3.0+dfsg-1

Done: Ole Streicher <debian@liska.ath.cx>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org:
Bug#728368; Package wnpp. (Thu, 31 Oct 2013 10:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <debian@liska.ath.cx>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org. (Thu, 31 Oct 2013 10:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: cpl-plugin-xsh -- ESO data reduction pipeline for XSHOOTER
Date: Thu, 31 Oct 2013 11:44:56 +0100
Package: wnpp
Severity: wishlist
Owner: Ole Streicher <debian@liska.ath.cx>
X-Debbugs-Cc: debian-devel@lists.debian.org, debian-science@lists.debian.org

* Package name    : cpl-plugin-xsh
  Version         : 2.2.0
  Upstream Author : ESO
* URL             :
http://www.eso.org/sci/software/pipelines/xsh/xsh-pipe-recipes.html
* License         : GPL
  Programming Lang: C
  Description     : ESO data reduction pipeline for XSHOOTER

This is the data reduction pipeline for the XSHOOTER instrument of the
Very Large Telescope (VLT) from the European Southern Observatory (ESO).
.
XSHOOTER is a multi wavelength (300-2500nm) medium resolution
spectrograph. XSHOOTER consists of 4 arms with the Acquisition and
Guiding camera. It has 3 spectroscopic arms, each with optimized optics,
dispersive elements and detectors:
.
 * UVB, covering the wavelength range 300-559.5 nm,
 * VIS, covering the wavelength range 559.5-1024 nm,
 * NIR, covering the wavelength range 1024-2480 nm.

Further information about XSHOOTER can be found under
http://www.eso.org/sci/facilities/paranal/instruments/kmos/

A git repository is created at
http://anonscm.debian.org/gitweb/?p=debian-science/packages/cpl-plugin-xsh.git

The recipe will be based on the same template as the other plugins
created so far (cpl_plugin_amber, cpl_plugin_fors, cpl_plugin_giraf,
cpl_plugin_hawki, cpl_plugin_sinfo).

Best regards

Ole



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ole Streicher <debian@liska.ath.cx>:
Bug#728368; Package wnpp. (Thu, 31 Oct 2013 18:51:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ole Streicher <debian@liska.ath.cx>. (Thu, 31 Oct 2013 18:51:18 GMT) Full text and rfc822 format available.

Message #10 received at 728368@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Ole Streicher <debian@liska.ath.cx>, 728368@bugs.debian.org
Subject: Re: Bug#728368: ITP: cpl-plugin-xsh -- ESO data reduction pipeline for XSHOOTER
Date: Thu, 31 Oct 2013 19:49:22 +0100
On 31.10.2013 11:44, Ole Streicher wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Ole Streicher <debian@liska.ath.cx>
> X-Debbugs-Cc: debian-devel@lists.debian.org, debian-science@lists.debian.org
> 
> * Package name    : cpl-plugin-xsh
>   


this plugin requires clapack which is not in debian nor properly
supported upstream anymore, it would need porting to the fortran
interface or lapacke. This is not planned upstream, are you going to do it?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728368; Package wnpp. (Thu, 31 Oct 2013 19:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <debian@liska.ath.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 31 Oct 2013 19:12:05 GMT) Full text and rfc822 format available.

Message #15 received at 728368@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: Julian Taylor <jtaylor.debian@googlemail.com>, 728368@bugs.debian.org
Subject: Re: Bug#728368: ITP: cpl-plugin-xsh -- ESO data reduction pipeline for XSHOOTER
Date: Thu, 31 Oct 2013 20:01:07 +0100
Hi Julian,

Am 31.10.2013 19:49, schrieb Julian Taylor:
> On 31.10.2013 11:44, Ole Streicher wrote:
>> * Package name    : cpl-plugin-xsh
> 
> this plugin requires clapack which is not in debian nor properly
> supported upstream anymore, it would need porting to the fortran
> interface or lapacke. This is not planned upstream, are you going to do it?

As far as I could see, clapack is used only for the
xsh_subtract_sky_single recipe -- at least, this is the only one that
has #includes clapack.h. Replacing this with lapacke (and linking to
lapacke) works without dangerous warnings, and the tests for this recipe
pass as well (and also for all other recipes).

So I would think that the problems here are minor. You can get a test
version from my personal PPA.

http://ppa.launchpad.net/olebole/astro-saucy/ubuntu

(it is in the compiling queue in the moment).

Best regards

Ole




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728368; Package wnpp. (Fri, 01 Nov 2013 15:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <debian@liska.ath.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 01 Nov 2013 15:03:08 GMT) Full text and rfc822 format available.

Message #20 received at 728368@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: Julian Taylor <jtaylor.debian@googlemail.com>, 728368@bugs.debian.org
Subject: Re: Bug#728368: ITP: cpl-plugin-xsh -- ESO data reduction pipeline for XSHOOTER
Date: Fri, 01 Nov 2013 16:01:57 +0100
Hi Julian,

after some code checking, I found out the following:

Only xsh_subtract_sky_single.c uses lapack, (functions SPBTRF and
SPBTRS). They directly call the Fortran routines, without any conversion
(see line 354f.), so in principle only lapack is needed; neither clapack
nor lapacke. The call is however not portable and is bound to the
specific Fortran convention (lower characters, one underscore etc),
which is ugly but works for Debian (and Ubuntu).

So, in principle one could just link to lapack; however I could not find
out how to do this (liblapack does not provide a liblapack.so). Linking
to liblapacke works as a workaround on Debian unstable

On Ubuntu saucy, I have to add a "--no-as-needed" to the linker flags to
get it linked. Since you also contributed to the lapack package: do you
have an idea what happens there on Ubuntu? Is it wise to just add this flag?

Best regards

Ole

Am 31.10.2013 20:01, schrieb Ole Streicher:
> Hi Julian,
> 
> Am 31.10.2013 19:49, schrieb Julian Taylor:
>> On 31.10.2013 11:44, Ole Streicher wrote:
>>> * Package name    : cpl-plugin-xsh
>>
>> this plugin requires clapack which is not in debian nor properly
>> supported upstream anymore, it would need porting to the fortran
>> interface or lapacke. This is not planned upstream, are you going to do it?
> 
> As far as I could see, clapack is used only for the
> xsh_subtract_sky_single recipe -- at least, this is the only one that
> has #includes clapack.h. Replacing this with lapacke (and linking to
> lapacke) works without dangerous warnings, and the tests for this recipe
> pass as well (and also for all other recipes).
> 
> So I would think that the problems here are minor. You can get a test
> version from my personal PPA.
> 
> http://ppa.launchpad.net/olebole/astro-saucy/ubuntu
> 
> (it is in the compiling queue in the moment).
> 
> Best regards
> 
> Ole
> 




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ole Streicher <debian@liska.ath.cx>:
Bug#728368; Package wnpp. (Fri, 01 Nov 2013 15:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ole Streicher <debian@liska.ath.cx>. (Fri, 01 Nov 2013 15:30:09 GMT) Full text and rfc822 format available.

Message #25 received at 728368@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Ole Streicher <debian@liska.ath.cx>, 728368@bugs.debian.org
Subject: Re: Bug#728368: ITP: cpl-plugin-xsh -- ESO data reduction pipeline for XSHOOTER
Date: Fri, 01 Nov 2013 16:28:30 +0100
On 01.11.2013 16:01, Ole Streicher wrote:
> Hi Julian,
> 
> after some code checking, I found out the following:
> 
> Only xsh_subtract_sky_single.c uses lapack, (functions SPBTRF and
> SPBTRS). They directly call the Fortran routines, without any conversion
> (see line 354f.), so in principle only lapack is needed; neither clapack
> nor lapacke. The call is however not portable and is bound to the
> specific Fortran convention (lower characters, one underscore etc),
> which is ugly but works for Debian (and Ubuntu).

its only used for a cholesky factorization in one place?
weird that functionality is available in CPL via cpl_solve{,_normal}
(maybe a bit slower).

> 
> So, in principle one could just link to lapack; however I could not find
> out how to do this (liblapack does not provide a liblapack.so). Linking
> to liblapacke works as a workaround on Debian unstable

liblapack-dev provides liblapack.so via the alternatives system.

> 
> On Ubuntu saucy, I have to add a "--no-as-needed" to the linker flags to
> get it linked. Since you also contributed to the lapack package: do you
> have an idea what happens there on Ubuntu? Is it wise to just add this flag?

libraries need to be placed behind objects needing them on the command line.
Make sure your libraries are full linked (libxsh in this case), if one
is not you can't link dependencies of this library without no-as-needed.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 20 Dec 2013 19:06:08 GMT) Full text and rfc822 format available.

Reply sent to Ole Streicher <debian@liska.ath.cx>:
You have taken responsibility. (Sat, 28 Dec 2013 04:03:43 GMT) Full text and rfc822 format available.

Notification sent to Ole Streicher <debian@liska.ath.cx>:
Bug acknowledged by developer. (Sat, 28 Dec 2013 04:03:43 GMT) Full text and rfc822 format available.

Message #32 received at 728368-close@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: 728368-close@bugs.debian.org
Subject: Bug#728368: fixed in cpl-plugin-xsh 2.3.0+dfsg-1
Date: Sat, 28 Dec 2013 04:00:09 +0000
Source: cpl-plugin-xsh
Source-Version: 2.3.0+dfsg-1

We believe that the bug you reported is fixed in the latest version of
cpl-plugin-xsh, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 728368@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ole Streicher <debian@liska.ath.cx> (supplier of updated cpl-plugin-xsh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 27 Nov 2013 16:57:02 +0100
Source: cpl-plugin-xsh
Binary: cpl-plugin-xsh cpl-plugin-xsh-calib
Architecture: source all amd64
Version: 2.3.0+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Ole Streicher <debian@liska.ath.cx>
Description: 
 cpl-plugin-xsh - ESO data reduction pipeline for XSHOOTER
 cpl-plugin-xsh-calib - ESO data reduction pipeline calibration data downloader for XSHOO
Closes: 728368
Changes: 
 cpl-plugin-xsh (2.3.0+dfsg-1) unstable; urgency=low
 .
   * Initial release. (Closes: #728368)
Checksums-Sha1: 
 ab3f7e19753ce86f0fddec548729b4710e6e9eb1 2257 cpl-plugin-xsh_2.3.0+dfsg-1.dsc
 1806468dc8504f3a2ee03d927d6c6aef4002d718 1118004 cpl-plugin-xsh_2.3.0+dfsg.orig.tar.xz
 f339688159a6cde145ddf60a2dba1aaee1557168 14108 cpl-plugin-xsh_2.3.0+dfsg-1.debian.tar.gz
 ddf3077f4d63b8c5f4471928ab9985ccec896d30 60740 cpl-plugin-xsh-calib_2.3.0+dfsg-1_all.deb
 97d79076546e7a743066bb8d48ccc8b97eb15afb 1130512 cpl-plugin-xsh_2.3.0+dfsg-1_amd64.deb
Checksums-Sha256: 
 bfc20ab70ff7025960d9be86f5ac44bcdd5309b5ee8fcb2d0718e5f550f33beb 2257 cpl-plugin-xsh_2.3.0+dfsg-1.dsc
 936373a989ccb438f7f037c52b82bd5b1290a8efa812adc71dd9aee538fe0b2e 1118004 cpl-plugin-xsh_2.3.0+dfsg.orig.tar.xz
 512e8521e5d3e88f266dafb332b39571d8fc4e8456d3b5d3f5dda65b0d95ea61 14108 cpl-plugin-xsh_2.3.0+dfsg-1.debian.tar.gz
 8a83166f2c2c62aaca8c6013a3fd61e9dd55c7fca80b1e813d8f1e72d519ba0a 60740 cpl-plugin-xsh-calib_2.3.0+dfsg-1_all.deb
 610bfcb8f6aa63e3345f30f8342dce71a802a553c555b5d5afdc46e2d8417c34 1130512 cpl-plugin-xsh_2.3.0+dfsg-1_amd64.deb
Files: 
 c2f5e57a80f50863118f9c3340ebe230 2257 science optional cpl-plugin-xsh_2.3.0+dfsg-1.dsc
 23750d3376c924f54caee696d2651990 1118004 science optional cpl-plugin-xsh_2.3.0+dfsg.orig.tar.xz
 ea74df8b13dfd614684fc2ca987864f9 14108 science optional cpl-plugin-xsh_2.3.0+dfsg-1.debian.tar.gz
 2f3341f9653b0505a712d5a721b1e1ea 60740 contrib/science optional cpl-plugin-xsh-calib_2.3.0+dfsg-1_all.deb
 93d6a2744bc1354a51da3d829e41d631 1130512 science optional cpl-plugin-xsh_2.3.0+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIbBAEBCAAGBQJStGkzAAoJEJOUU0jg3ChAYJYP+OKr6ClbcACBVOGJ+yq9bVo6
Fh9GkHul4ag6bpWTu2W3KGIypp9K+S8Bcw9e0iTaouPzMiM7/ha8RpsQFoxgTXVn
IRYUpr7Nb5r7Y4WoAE4k+EaN3Zk1cBRqQck4EdLOssAzd8xrrLvqT3PmKiOHR+VW
Cz1YTlRdGsIP2h8lAztHMjZFMPZFtpz4U5lF+0dYUKf5QFHCB1lGbRRBjQ4jqKI/
jMkGzZ1i/jhDjEnZbbr/zdPvbgnEJVk9KvkmiXFuT6IjK3NS1CVGh1rzR0DaUYCr
L5x/iX1e88n9z/JmRPLAVobg8Jt0zl7likvK9bE9TQfPKCj2+hBe1kgzARD0wU4Q
FxT7Uoz4j9FcDrqd1nLUXfdQEFfjGeutN3hFbTDFDX7OpCiril2QJEthfXfMl2RR
mtfw9V3Fl9SqFWy/B26hMl2aDJ6240mps1oolRCMaY306ap6+QpHRSwsqb2oxC3T
8xuHCaJofmJZydpgpDtFPMj7vwclqw1NzBgeVTKswu7zvdGuRhM98T8AFI+EVaxe
YhaIruv0n/KHBfAqnqAwUjRGeD2DS24GtNq7u20jX/JL3gX6GMrhd4OCdQCe2TGp
Vq8z4BCPnj72JS0P4Uer5SKeFN1Qt89TiMYw/zLggKfxCAKEBNcCjIzV3F/aPmGr
AOxTQ2XuHDk13+n+v/A=
=J0L2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Jan 2014 07:36:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:15:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.